/*-------------------------------------------------------------------*/
/*-- Export-Schnittstelle des ADO Plotter         (PLOTTER.H)      --*/
/*--                                                               --*/
/*-------------------------------------------------------------------*/
/*-- 031096 TOPM CREATE                                            --*/
/*-------------------------------------------------------------------*/
#ifndef _TPlotter_H
   #define _TPlotter_H
   #ifndef TPlotter
      /*-- Zeiger auf void als verdeckter Typexport --*/
      typedef void *TPlotter;
   #endif

/*-------------------------------------------------------------------*/
/*-- Standardoperationen                                           --*/
/*-------------------------------------------------------------------*/

/*-------------------------------------------------------------------*/
/*-- Stift heben                                                   --*/
/*-------------------------------------------------------------------*/
void Plotter_PenUp ();

/*-------------------------------------------------------------------*/
/*-- Stift senken                                                  --*/
/*-------------------------------------------------------------------*/
void Plotter_PenDown ();

/*-------------------------------------------------------------------*/
/*-- Plotter initialisieren                                        --*/
/*-------------------------------------------------------------------*/
void Plotter_Init ();

/*------------------------------------------------------------*/
/*  Von der aktuellen Position zu den Koordinaten X, Y        */
/*------------------------------------------------------------*/
void Plotter_PU (int x, int y);

/*------------------------------------------------------------*/
/*  Von der aktuellen Position zu den Koordinaten X, Y        */
/*------------------------------------------------------------*/
void Plotter_PD (int x, int y);

#endif
